Package org.drinkless.tdlib

# Class TdApi.TonRevenueStatistics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TonRevenueStatistics

Enclosing class:
  `TdApi`

public static class TdApi.TonRevenueStatistics extends TdApi.Object
A detailed statistics about Toncoins earned by the current user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StatisticalGraph`
  `revenueByDayGraph`
  A graph containing amount of revenue in a given day.
  `TdApi.TonRevenueStatus`
  `status`
  Amount of earned revenue.
  `double`
  `usdRate`
  Current conversion rate of nanotoncoin to USD cents.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TonRevenueStatistics()`
  A detailed statistics about Toncoins earned by the current user.
  `TonRevenueStatistics(TdApi.StatisticalGraph revenueByDayGraph, TdApi.TonRevenueStatus status, double usdRate)`
  A detailed statistics about Toncoins earned by the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### revenueByDayGraph

    public TdApi.StatisticalGraph revenueByDayGraph
    A graph containing amount of revenue in a given day.

  - ### status

    public TdApi.TonRevenueStatus status
    Amount of earned revenue.

  - ### usdRate

    public double usdRate
    Current conversion rate of nanotoncoin to USD cents.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TonRevenueStatistics

    public TonRevenueStatistics()
    A detailed statistics about Toncoins earned by the current user.

  - ### TonRevenueStatistics

    public TonRevenueStatistics(TdApi.StatisticalGraph revenueByDayGraph, TdApi.TonRevenueStatus status, double usdRate)
    A detailed statistics about Toncoins earned by the current user.
    Parameters:
      `revenueByDayGraph` - A graph containing amount of revenue in a given day.
      `status` - Amount of earned revenue.
      `usdRate` - Current conversion rate of nanotoncoin to USD cents.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR